
' read in data from tight file using wfopen -- reads cleanly
'cd h:\m1mtk00\lowrate
wfopen tight.xls

' create data

smpl @all

' create regressions for samples

' sample - until end 2008

smpl 7/1/1991 12/31/2012
group all mp1 ed1 onrun2 onrun5 tips10
freeze(A_precorr) all.corr
freeze(A_prepc) all.pcomp
equation aa.gmm(instwgt=white) sp500 c onrun10 @ c onrun10
c=0
equation a1.gmm(instwgt=white) sp500 c onrun10 @ c ed1 onrun2 onrun5
c=0
equation a3.gmm(instwgt=white) sp500 c onrun10 @ c onrun2 
c=0
equation a4.gmm(instwgt=white) sp500 c onrun10 @ c onrun5
c=0
equation a5.gmm(instwgt=white) sp500 c mp1 onrun10 @ c ed1 onrun2 onrun5
pagestruct(start="7/05/1991") *
matrix(134,1) aam = 0
matrix(134,1) a1m= 0
matrix(134,1) a3m= 0
matrix(134,1) a4m= 0
matrix(134,1) a5m= 0
for !j = 28 to 161
freeze(mode=overwrite,aat) aa.breaktest @first+!j
string test = aat(4,2)
aam(!j-27,1) = @val(test)
freeze(mode=overwrite,a1t) a1.breaktest @first+!j
string test = a1t(4,2)
a1m(!j-27,1) = @val(test)
freeze(mode=overwrite,a3t) a3.breaktest @first+!j
string test = a3t(4,2)
a3m(!j-27,1) = @val(test)
freeze(mode=overwrite,a4t) a4.breaktest @first+!j
string test = a4t(4,2)
a4m(!j-27,1) = @val(test)
freeze(mode=overwrite,a5t) a5.breaktest @first+!j
string test = a5t(4,2)
a5m(!j-27,1) = @val(test)
next
